Summary: programs to access SMB network servers
Name: smbfs
Version: 2.0.2
Release: 6
Copyright: GPL
Group: Utilities/File
Source: ftp://ftp.gwdg.de/pub/linux/misc/smbfs/smbfs-2.0.2.tgz
Patch0: smbfs-2.0.2-mount.patch
Patch1: smbfs-2.0.2-glibchacks.patch
# Why exclusivearch i386 ??? AFAIK smbfs exists for any Linux
#ExclusiveArch: i386
BuildRoot: /tmp/smbfs-root
# for compatibility whith smbmount-*.rpm package (same but whith another name)
Provides: smbmount
Obsoletes: smbmount
Summary(es): programa para montar discos de servidores en redes SMB
Summary(fr): programme pour monter les volumes partags de rseaux SMB

%description
This package includes the tools necessary to mount filesystems from SMB
servers.

%description -l es
Este paquete incluye lo necesario para montar sistemas de ficheros desde
servidores SMB (o sea "redes Microsoft")

%description -l fr
Ce paquetage inclus le necessaire pour monter des systmes de fichiers
depuis des serveurs SMB (aussi appells "rseaux Microsoft")

%changelog

* Wed Oct 28 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

 - put back smbumount; users need it to umount when the mount point
   isn't in /etc/fstab
 - added the source code of the wrapper in /usr/doc/smbfs-*/ so people
   can see what to write when using mount (eg in /etc/fstab) 

* Thu Jul 8 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

 - added a /sbin/mount.smbfs to allow putting smbfs partitions in /etc/fstab
 - added a little patch to smbmount to strip the local hostname to the
   first dot (eg: "chanae.alphanet.ch" -> "chanae") instead of failing,
   that makes using smbmount easier.
 - smbumount is not included on the rpm anymore, it is completly useless,
   umount does the job very well.
 - glibc patches and corrected the bug whith glibc version (in glibc
   uid_t, gid_t and mode_t are 32bit, in the 2.0.* kernel they are 16bit)

* Sat Jun 28 1997 Timo Karjalainen <timok@iki.fi>

 - Upgraded to version 2.0.2 to fix a buffer overflow
 - Added RPM_OPT_FLAGS

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
make COPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{man/man8,sbin}
make BINDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=$RPM_BUILD_ROOT/usr/man install
(cd $RPM_BUILD_ROOT/usr/sbin ; ln mount.smbfs mount.smb)
strip $RPM_BUILD_ROOT/usr/sbin/*
chmod 644 $RPM_BUILD_ROOT/usr/man/man8/*
gzip -9nf $RPM_BUILD_ROOT/usr/man/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes COPYING FAQ README smbfs-2.0.2.lsm util/mount.smbfs.c
# smbumount is not needed, umount does the work very well !
# well... it is needed to allow users to umount when the mount point
# isn't in /etc/fstab
/usr/sbin/smbmount
/usr/sbin/smbumount
/usr/man/man8/smbmount.8.gz
/usr/man/man8/smbumount.8.gz
/usr/sbin/mount.smbfs
/usr/sbin/mount.smb
